Skip to navigation

Get a CDR

One CDR with its tariffs and totals. Send country_code and party_id when two parties used the id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cdr_idstringRequired1-39 characters
OCPI CDR id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"

Owner party’s OCPI country code; send it when two parties used the id.

party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"

Owner party’s OCPI party id; send it when two parties used the id.

Response

The CDR in OCPI 2.2.1 shape.
idstring
country_codestring
party_idstring
start_date_timedatetime
last_updateddatetime
sourceenum or any
session_idstring or nullOptional
end_date_timedatetime or nullOptional
cdr_tokenmap from strings to any or nullOptional
authorization_referencestring or nullOptional
cdr_locationmap from strings to any or nullOptional
currencystring or nullOptional
tariffslist of maps from strings to any or nullOptional
total_costmap from strings to any or nullOptional
total_energydouble or nullOptional
total_timedouble or nullOptional
total_parking_timedouble or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error